import { createClient } from "@mailsai/sdk";
const client = createClient(); // reads MAILS_API_KEY
const result = await client.labels.remove(
"lbl_01JZX8K3M9Q4P7VN2YB6RTDC0E",
);
console.log(result);from mailsai import create_client
client = create_client() # reads MAILS_API_KEY
result = client.delete_label(
"lbl_01JZX8K3M9Q4P7VN2YB6RTDC0E",
)
print(result)curl -X DELETE 'https://api.mails.ai/v1/labels/lbl_01JZX8K3M9Q4P7VN2YB6RTDC0E' \
-H "Authorization: Bearer $MAILS_API_KEY"mails labels delete lbl_01JABC --yes{
"name": "mails_labels_delete",
"arguments": {
"label_id": "lbl_01JZX8K3M9Q4P7VN2YB6RTDC0E"
}
}{
"id": "lbl_01JZX8K3M9Q4P7VN2YB6RTDC0E",
"deleted": false
}200 The deleted label's id.
401 Missing or invalid API key.
403 The API key lacks the required scope
(insufficient_scope), or the token belongs to an
app connected by sign-in and this operation is
closed to connected apps
(connected_app_not_allowed).
404 Resource not found in this workspace, or the agent
a send names is archived (agent_archived).
500 Internal server error.Delete a label
Deletes the label and takes it off every thread that carries it.
import { createClient } from "@mailsai/sdk";
const client = createClient(); // reads MAILS_API_KEY
const result = await client.labels.remove(
"lbl_01JZX8K3M9Q4P7VN2YB6RTDC0E",
);
console.log(result);from mailsai import create_client
client = create_client() # reads MAILS_API_KEY
result = client.delete_label(
"lbl_01JZX8K3M9Q4P7VN2YB6RTDC0E",
)
print(result)curl -X DELETE 'https://api.mails.ai/v1/labels/lbl_01JZX8K3M9Q4P7VN2YB6RTDC0E' \
-H "Authorization: Bearer $MAILS_API_KEY"mails labels delete lbl_01JABC --yes{
"name": "mails_labels_delete",
"arguments": {
"label_id": "lbl_01JZX8K3M9Q4P7VN2YB6RTDC0E"
}
}{
"id": "lbl_01JZX8K3M9Q4P7VN2YB6RTDC0E",
"deleted": false
}200 The deleted label's id.
401 Missing or invalid API key.
403 The API key lacks the required scope
(insufficient_scope), or the token belongs to an
app connected by sign-in and this operation is
closed to connected apps
(connected_app_not_allowed).
404 Resource not found in this workspace, or the agent
a send names is archived (agent_archived).
500 Internal server error.Was this page helpful?